/*
 * vifctl/vifctl_print.h
 * $Rev: 1259 $
 *
 * Copyright (C) 2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __VIFCTL_PRINT_H
#define __VIFCTL_PRINT_H

/**
 * @file vifctl_print.h
 * @brief Interface to vifctl output functions (defined in vifctl.c)
 */

#include <stdarg.h>                     // va_list


/* PUBLIC PRINT FUNCTIONS *****************************************************/

/** Debug function pointer */
int (*vifctl_debug)(const char* format, ...);
void (*vifctl_debug_args)(const char* format, va_list args);

/** Print error message to stderr */
int
vifctl_error(const char *, ...);

/** Send message to syslog and print to debug output */
void
vifctl_log(const char *, ...);

#endif // __VIFCTL_PRINT_H
